New Search

Remote code execution vulnerability using incorrect indexes in XUA tree in Mozilla Firefox before 3.5.16 and 3.6.x before 3.6.13 and SeaMonkey before 2.0.11

oval:org.mitre.oval:def:12324

Mozilla Firefox before 3.5.16 and 3.6.x before 3.6.13 and SeaMonkey before 2.0.11 does not properly calculate index values for certain child content in a XUL tree which allows remote attackers to execute arbitrary code via vectors involving a DIV element within a treechildren element.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 7
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows 2000
Class:
vulnerability
Reference(s):
  • CVE-2010-3772
Product(s):
  • Mozilla Firefox
  • Mozilla SeaMonkey